Bug 145484 - Memos not backed up through MemoFile conduit
Memos not backed up through MemoFile conduit
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-pilot-conduits (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-18 16:34 EST by Beny Spensieri Jr.
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 12:49:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace from a gpilotd crash (5.44 KB, text/plain)
2006-01-22 12:17 EST, John Guthrie
no flags Details

  None (edit)
Description Beny Spensieri Jr. 2005-01-18 16:35:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Hotsync fails when memofile conduit is enabled, the hotsync is
interrupted with the following message "Unknown Conduit 8".

The memos are not backed up as text files to the designated folder.

Version-Release number of selected component (if applicable):
gnome-pilot-conduits-2.0.12-3.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1.  Install gnome-pilot-conduits package
2.  Enable memofile conduit
3.  Initiate hotsync
    

Actual Results:  Hotsync fails when memofile conduit is enabled, the
hotsync is interrupted with the following message "Unknown Conduit 8".

The memos are not backed up as text files to the designated folder.

Expected Results:  Hotsync should have completed uneventfully.  The
memos in my Palm device should have been backed up as text files in
the designated folder.

Additional info:

This bug has been fixed in the official gnome-pilot-conduits package
for some years now.  This bug has been an issue since Redhat 7.2
Comment 1 Beny Spensieri Jr. 2005-02-04 13:51:25 EST
Seems to be working now, but I did nothing to fix it.
It may have been related to a kernel update.
Comment 2 John Guthrie 2006-01-13 10:58:09 EST
This problem seems to be back in Fedora Core 4.  I'm using the most recent
version of the kernel, 2.6.14-1.1656_FC4, and if I try to do a plain sync, then
I end up crashing gpilotd.  I can do a "copy data from pilot", but all that does
is it creates one directory for each category on my Handspring, creates the
.categories file, but doesn't actually copy any memos from the Handspring to
files on my computer.  I am currently using gnome-pilot-2.0.13-7.fc4 and
gnome-pilot-conduits-2.0.13-2.FC4.

A little bit of explanation is in order.  When I tried the stock gnome-pilot, it
refused to work with the pilot-link-0.12.0-0.pre4.0.fc4.2 that came with FC4. 
So looked in FC5-test1, and found gnome-pilot-2.0.13.fc5 and
gnome-pilot-conduits-2.0.13-2.FC5.  I recompiled those under FC4 and changed the
fc5 in their release number to fc4, and everything seemed to work wonderfully. 
However this issue still seems to remain with memofile.  If there is a more
appropriate release that I should be testing, let me know, and I will install
that, and re-check.  I don't know if this should be considered an fc4 or
fc5-test1 problem.
Comment 3 Matt Davey 2006-01-21 07:45:13 EST
Sounds like there may be some work remaining in porting the memofile
conduit to pilot-link 0.12.0pre*.

Can you post a backtrace for the crash with debugging symbols, so
we can see where the crash is ocurring?
Comment 4 John Guthrie 2006-01-22 12:15:26 EST
I'm not certain if this is what you want, but here is what went to stdout/stderr:

** Message: pilot = guthriePilot
** Message: Pilot name -> guthriePilot
** Message: Pilot id   -> 501
** Message: Pilot username -> John Guthrie
** Message: Pilot creation/rom = 0/0
** Message: Cradle Type -> Serial
** Message: cradle device name -> Cradle
** Message: cradle device name -> /dev/ttyS1
** Message: Pilot Speed  -> 57600
** Message: Timeout -> 2
memo-file-conduit-Message: creating memo_file conduit
memo-file-conduit-Message: create_settings_window
memo-file-conduit-Message: save_settings

I am also attaching a file with the backtrace.  Let me know if that is the
correct one.

JTG
Comment 5 John Guthrie 2006-01-22 12:17:02 EST
Created attachment 123544 [details]
backtrace from a gpilotd crash

Here is the attachment that I mentioned in my last post.

JTG
Comment 6 Matthew Miller 2006-07-10 16:21:37 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 Matthew Barnes 2006-12-31 21:45:05 EST
Is this problem still present in Fedora Core 6?
Comment 8 Matěj Cepl 2007-08-31 11:21:34 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 9 Matthew Barnes 2007-10-02 12:49:49 EDT
Closing as INSUFFICENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.